SCREEN 0: COLOR 7, 0: CLS
PRINT "ͻ"
PRINT "HDO2HDB 1.0                                        "
PRINT "(c)2002 Joshua Foster                                "
PRINT "Copies HDO files to HDB (after Helio hard reset)     "
PRINT "Ķ"
PRINT "Type 'hdo2hdb /c' to confirm each copy.                 "
PRINT "Type 'hdo2hdb /v' for verbose copy.                     "
PRINT "Command line operators can only be used singly.         "
PRINT "ͼ"
VIEW PRINT 10 TO 25
SHELL "dir *.hdo > dirlst.tmp"
ON ERROR GOTO notmade
CLOSE #1
OPEN "dirlst.tmp" FOR INPUT AS #1
FOR a = 1 TO 5
  LINE INPUT #1, tempstr$
NEXT a
tempstr$ = "   "
numfiles = 0
DO
  LINE INPUT #1, tempstr$
  IF tempstr$ <> "File not found" AND LEFT$(tempstr$, 1) <> " " THEN numfiles = numfiles + 1
LOOP WHILE LEFT$(tempstr$, 1) <> " "
CLOSE #1
OPEN "dirlst.tmp" FOR INPUT AS #1
FOR a = 1 TO 5
  LINE INPUT #1, tempstr$
NEXT a
tempstr$ = "   "
curfile = 1
DO
  LINE INPUT #1, tempstr$
  IF tempstr$ <> "File not found" AND LEFT$(tempstr$, 1) <> " " THEN
    filename$ = RTRIM$(LEFT$(tempstr$, 8))
    IF UCASE$(COMMAND$) = "/V" THEN
      PRINT filename$ + SPACE$(8 - LEN(filename$)) + ".hdo >> " + filename$ + SPACE$(8 - LEN(filename$)) + ".hdb... (File " + STR$(curfile) + " of " + STR$(numfiles) + ")"
    ELSE
      LOCATE 10, 1
      PRINT "Copying file " + STR$(curfile) + " of " + STR$(numfiles) + "..."
    END IF
    IF UCASE$(COMMAND$) = "/C" THEN
      PRINT SPACE$(80)
      LOCATE CSRLIN - 1, POS(1)
      PRINT "Do you want to rename " + filename$ + ".hdb? (Y/N)";
      K$ = ""
      WHILE K$ = ""
        K$ = UCASE$(INKEY$)
      WEND
      PRINT K$
      IF K$ = "Y" THEN SHELL "ren " + filename$ + ".hdo " + filename$ + ".hdb"
    ELSE
      SHELL "ren " + filename$ + ".hdo " + filename$ + ".hdb"
    END IF
    curfile = curfile + 1
  END IF
LOOP WHILE LEFT$(tempstr$, 1) <> " "
IF numfiles = 0 THEN
  LOCATE CSRLIN - 1, POS(1)
  PRINT "No .HDO files found!"
ELSE
  PRINT "Completed operation."
END IF
CLOSE #1
KILL "dirlst.tmp"
END

notmade:
RESUME resnotmade
resnotmade:
CLOSE #1
PRINT "Unable to retrieve directory listing!"
END

